2 Replies Latest reply: Oct 23, 2007 4:21 AM by 70824 RSS

    oracle/security/pki/OracleWallet-Error while starting any adapter

    447396
      Hi,

      I am getting the following error while attempting to start any adapter :

      java.lang.NoClassDefFoundError: oracle/security/pki/OracleWallet
      at oracle.oai.common.security.wallet.OracleSecretStoreManager.getSecretStore(OracleSecretStoreManager.java:147)
      at oracle.oai.common.security.wallet.OracleSecretStoreManager.getSecretStore(OracleSecretStoreManager.java:185)
      at oracle.oai.common.inifile.IniFileReader.loadPasswords(IniFileReader.java:65)
      at oracle.oai.common.inifile.IniFileReader.<init>(IniFileReader.java:149)
      at oracle.oai.common.inifile.IniFileReader.<init>(IniFileReader.java:39)
      at oracle.oai.agent.proxy.AgentProxy.initialize(AgentProxy.java:185)
      at oracle.oai.agent.proxy.AgentProxy.<init>(AgentProxy.java:397)
      at oracle.oai.agent.service.AgentService.run(AgentService.java:43)
      at java.lang.Thread.run(Thread.java:534)

      can you please tell me exactly why we are getting the error and how can we resolve the error.

      Regards,
      Koushik
        • 1. Re: oracle/security/pki/OracleWallet-Error while starting any adapter
          447396
          When I trying to run the as a software owner then the MQ adapters are running.
          But for AQ adapters I am still getting a problem like below :

          java.lang.NoClassDefFoundError: javax/jms/JMSException
          at oracle.oai.agent.server.messenger.mercury.MercuryMessenger.init(MercuryMessenger.java:121)
          at oracle.oai.agent.server.ServerManager.init(ServerManager.java:308)
          at oracle.oai.agent.server.ServerManager.<init>(ServerManager.java:246)
          at oracle.oai.agent.proxy.AgentProxy.go(AgentProxy.java:656)
          at oracle.oai.agent.proxy.AgentProxy.start(AgentProxy.java:706)
          at oracle.oai.agent.proxy.AgentProxy.<init>(AgentProxy.java:415)
          at oracle.oai.agent.service.AgentService.run(AgentService.java:43)
          at java.lang.Thread.run(Thread.java:534)
          java.lang.RuntimeException: java.lang.NullPointerException
          at oracle.oai.agent.proxy.AgentProxy.<init>(AgentProxy.java:424)
          at oracle.oai.agent.service.AgentService.run(AgentService.java:43)
          at java.lang.Thread.run(Thread.java:534)
          Caused by: java.lang.NullPointerException
          at oracle.oai.management.adapter.impl.AdapterManagerImpl.initialize(AdapterManagerImpl.java:174)
          at oracle.oai.agent.proxy.AgentProxy.initializeManagement(AgentProxy.java:814)
          at oracle.oai.agent.proxy.AgentProxy.<init>(AgentProxy.java:422)
          ... 2 more

          What is the reason for this error and how can resolve it?

          Regards,
          Koushik
          • 2. Re: oracle/security/pki/OracleWallet-Error while starting any adapter
            70824
            Did you update the wallet with the repository and subscriber passwords?
            What platform are you on, and what version of InterConnect are you using?